petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscDTEnumSubset

Split the integers [0, ..., n - 1] into two complementary ordered subsets, the first subset of size k and being the jth subset of that size in lexicographic order.

### Input Arguments

| n | - a non-negative integer (see note about limits below)
| k | - an integer in [0, n]
| j | - an index in [0, n choose k)

### Output Arguments

| perm | - the jth subset of size k of the integers [0, ..., n - 1], followed by its complementary set.
| isOdd | - if not NULL, return whether perm is an even or odd permutation.

Note: this is limited by arguments such that n choose k can be represented by PetscInt

### See Also

PetscDTEnumSubset(), PetscDTSubsetIndex()

### Level

beginner

### Location

src/dm/dt/space/../../../../include/petscdt.h
Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages